document.addEventListener('DOMContentLoaded', function() {
    // Smooth scroll for anchor links
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });

    // Gift code reveal animation
    window.showGiftCode = function() {
        const button = document.querySelector('.gift-button');
        button.innerHTML = 'SPECIAL20';
        button.style.background = '#27ae60';
        
        // Reset after 5 seconds
        setTimeout(() => {
            button.innerHTML = 'Claim Your Gift';
            button.style.background = '';
        }, 5000);
    }

    // Add intersection observer for fade-in animations
    const observer = new IntersectionObserver((entries) => {
        entries.forEach(entry => {
            if (entry.isIntersecting) {
                entry.target.classList.add('fade-in');
            }
        });
    });

    document.querySelectorAll('section').forEach((section) => {
        observer.observe(section);
    });
});